### Method

# Vips Buf appendns

#### Declaration [src]

    gboolean
    vips_buf_appendns (
      VipsBuf* buf,
      const char* str,
      int sz
    )

#### Description [src]

Append at most `sz` chars from `str` to `buf`. `sz` < 0 means unlimited. This is the low-level append operation: functions like `vips_buf_appendf()` build on top of this.

#### Parameters

`str`

  Type: `const char*`

  The string to append to the buffer.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`sz`

  Type: `int`

  The size of the string to append.

#### Return value

Type: `gboolean`

`FALSE` on overflow, `TRUE` otherwise.